Subject: Re: kernel BUG at mm/vmalloc.c:LINE! (2)

From: Andrew Morton <[email-masked]>
Date: Thu, 23 Jul 2020 19:50:29 -0700

On Wed, 22 Jul 2020 16:46:50 +0200 Uladzislau Rezki <[email-masked]> wrote:

> > > I can check further, but it can be it was not correctly reverted,
> > > because everything should work just fine even with the revert,
> > > though i i do not understand a reason of reverting.
> > 
> > Vlad, how sure are you about this? We also start to trigger this now on
> > linux-next, but the reverting patch surely looks like doggy without any useful
> > information in the commit description.
> >
> Hello, Andrew, Qian.
> 
> I am not aware of reason of the revert, though i tried to get through Ingo.
> I can send out a patch that fixes the revert. Another option to drop the
> revert, but it is up to Andrew and Ingo.
> 
> Andrew, could you please comment on?

All a bit mysterious.  I think it's best that we revert this from
linux-next until we hear from Ingo.  I queued a patch - I expect
Stephen will see and grab it, thanks.